#ifndef PCAP_H_INCLUDED
#define PCAP_H_INCLUDED

#include <iostream>
#include <string.h>
#include <stdio.h>
#include <netinet/in.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <stdlib.h>
#include <arpa/inet.h>

using namespace std;

typedef struct PCAP_FILE_HEADER_T 

{
	unsigned long 		magic_number;
	unsigned short  	version_major;
	unsigned short		version_minor;
	long			thiszone;
	unsigned long		sigfigs;
	unsigned long		snaplen;
	unsigned long		network;	

}PCAP_FILE_HEADER_T; 	

typedef struct PCAP_PACKET_HEADER_T 

{
	unsigned long 		ts_sec;
	unsigned long		ts_usec;
	unsigned long		incl_len;
	unsigned long		orig_len;	

}PCAP_PACKET_HEADER_T; 	

#endif
